<?php

function ezin_tmpl_get_page_title() /* {{{ */
{
	global $ezin_cfg, $ezin_cgi, $ezin_lang;
	global $ezin_name, $ezin_description, $ezin_title;
	global $ezin_cgi_output, $ezin_cgi_input;
	global $section_name;
	if ($ezin_cgi_input == 'index') {
		return "$ezin_name -- $ezin_description";
	}
	$ezin_lang = $ezin_cgi['lang'];
	$ret = $ezin_name;
	switch (@$ezin_cgi_output) {
		case 'admin':
			$ret .= ' Administration';
			break;
		case 'notfound':
			$str = $ezin_lang == 'sk' ? 'Dokument nenájdený' : 'Document Not Found';
			$whereareyou[''] = $str;
			$ret .= ": $str";
			break;
		case 'author':
			global $author_name;
			$str = $ezin_lang == 'sk' ? 'autor' : 'author';
			$whereareyou[''] = $author_name;
			$ret .= ": $str $author_name";
			break;
		case 'message':
		case 'message_selected_list':
		case 'message_full_list':
		case 'article':
			global $article_title, $article_atitle;
			if ($ezin_cgi_output == 'message') {
				$str = $ezin_lang == 'sk' ? 'prida» nový príspevok' : 'add new message';
				$ret .= ": $article_title ($str)";
			} else if ($ezin_cgi_output == 'message_selected_list') {
				$str = $ezin_lang == 'sk' ? 'výpis vybraných príspevkov' : 'selected message list';
				$ret .= ": $article_title ($str)";
			} else if ($ezin_cgi_output == 'message_full_list') {
				$str = $ezin_lang == 'sk' ? 'výpis príspevkov' : 'message list';
				$ret .= ": $article_title ($str)";
			} else {
				$ret .= ": $article_title";
			}
			break;
		case 'section':
			$ret .= ': ';
			$ret .= $ezin_lang == 'sk' ? 'sekcia' : 'section';
			$ret .= " $section_name";
			break;
	}
	$ret = strip_tags($ret);
	return $ret;
} /* }}} */

/* Modeline for ViM {{{
 * vim: set ts=4:
 * vim600: fdm=marker fdl=0 fdc=0:
 * }}} */

?>
