<?php

$ezin_ADMIN_MENU = array();

/*
 * NOTE:
 *
 * Put your custom local links into the
 *
 *		menu-local.inc.php
 *
 * file with definitions like these below.
 */

$ezin_local_menu_file = dirname(__FILE__).'/menu-local.inc.php';
if (@file_exists($ezin_local_menu_file) && @is_readable($ezin_local_menu_file)) {
	include_once $ezin_local_menu_file;
}

$ezin_ADMIN_MENU[] = array(
			'action'   => 'articles',
			'caption'  => 'Articles',
			'link'     => 'articles.php',
			'inc_file' => 'articles.inc.php',
			'column'   => 'role_articles');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'pages',
			'caption'  => 'Pages',
			'link'     => 'pages.php',
			'inc_file' => 'articles.inc.php',
			'column'   => 'role_articles');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'authors',
			'caption'  => 'Authors',
			'link'     => 'authors.php',
			'inc_file' => 'authors.inc.php',
			'column'   => 'role_authors');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'sections',
			'caption'  => 'Sections',
			'link'     => 'sections.php',
			'inc_file' => 'sections.inc.php',
			'column'   => 'role_sections');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'editorials', 
			'caption'  => 'Editorials',
			'link'     => 'editorials.php',
			'inc_file' => 'editorials.inc.php',
			'column'   => 'role_editorials');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'messages',
			'caption'  => 'Messages',
			'link'     => 'messages.php',
			'inc_file' => 'messages.inc.php',
			'column'   => 'role_messages');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'bindings',
			'caption'  => 'Bindings',
			'link'     => 'bindings.php',
			'inc_file' => 'bindings.inc.php',
			'column'   => array('role_articles', 'role_sections'));
$ezin_ADMIN_MENU[] = array(
			'action'   => 'polls',
			'caption'  => 'Polls',
			'link'     => 'polls.php',
			'inc_file' => 'polls.inc.php',
			'column'   => 'role_polls');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'feedbacks',
			'caption'  => 'Feedbacks',
			'link'     => 'feedbacks.php',
			'inc_file' => 'feedbacks.inc.php',
			'column'   => 'role_feedbacks');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'newsletters',
			'caption'  => 'Newsletters',
			'link'     => 'newsletters.php',
			'inc_file' => 'newsletters.inc.php',
			'column'   => 'role_newsletters');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'users',
			'caption'  => 'Users',
			'link'     => 'users.php',
			'inc_file' => 'users.inc.php',
			'column'   => 'role_users');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'roles',
			'caption'  => 'Roles',
			'link'     => 'roles.php',
			'inc_file' => 'roles.inc.php',
			'column'   => 'role_roles');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'sessions',
			'caption'  => 'Sessions',
			'link'     => 'sessions.php',
			'inc_file' => 'sessions.inc.php',
			'column'   => 'role_sessions');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'config',
			'caption'  => 'Config',
			'link'     => 'config.php',
			'inc_file' => 'config.inc.php',
			'column'   => 'role_config');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'file_management',
			'caption'  => 'File mng',
			'link'     => 'file-mng.php',
			'column'   => 'role_file_management');
$ezin_ADMIN_MENU[] = array(
			'action'   => 'help',
			'caption'  => 'Help',
			'link'     => 'help.php',
			'inc_file' => 'help.inc.php');
$ezin_ADMIN_MENU[] = array(
			'caption'  => 'Logout',
			'link'     => 'logout.php')

?>
